﻿using System;
using System.Linq;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace WPFRadTreeViewApp2.ViewModels
{
    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class DataItem : ViewModelBase
    {
        private bool _selected;
        private bool _expanded;
        private bool isChecked;

        public DataItem()
        {
            this.Children = new ObservableCollection<DataItem>();
        }

        public string Header { get; set; }
        public ObservableCollection<DataItem> Children { get; set; }
        public bool Selected
        {
            get
            {
                return this._selected;
            }
            set
            {
                if (this._selected != value)
                {
                    this._selected = value;
                    OnPropertyChanged("Selected");
                }
            }
        }
        public bool Expanded
        {
            get
            {
                return this._expanded;
            }
            set
            {
                if (this._expanded != value)
                {
                    this._expanded = value;
                    OnPropertyChanged("Expanded");
                }
            }
        }

        public bool IsChecked
        {
            get
            {
                return this.isChecked;
            }
            set
            {
                if (this.isChecked != value)
                {
                    this.isChecked = value;
                    OnPropertyChanged("IsChecked");
                }
            }
        }
    }
}
