﻿using System;
using System.Linq;
using System.Collections.ObjectModel;

namespace WPFRadTreeViewApp2.ViewModels
{
    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class MainViewModel
    {
        public ObservableCollection<DataItem> Items { get; set; }
        public MainViewModel()
        {
            this.Items = new ObservableCollection<DataItem>();
            for (int i = 0; i < 5; i++)
            {
                DataItem item = new DataItem { Header = String.Format("Item {0}", i), Selected = i == 1, Expanded = i % 2 == 0 };
                for (int j = 0; j < 3; j++)
                {
                    DataItem child = new DataItem { Header = String.Format("Item {0}.{1}", i, j), Expanded = i % 2 == 0 };
                    for (int k = 0; k < 2; k++)
                    {
                        child.Children.Add(new DataItem { Header = String.Format("Item {0}.{1}.{2}", i, j, k) });
                    }
                    item.Children.Add(child);
                }
                this.Items.Add(item);
            }
        }
    }
}
